Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the helma.Url class.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/helma/Url.js')
helma Url(str)
Creates a helma.Url object from a provided url string.
parameters

| str |

properties

- protocol

- user

- password

- domainName

- host

- topLevelDomain

- domain

- pathString

- path

- file

- queryString

- query

helma.Url. protocol
Protocol segment of this URL
helma.Url. user
User name segment of this URL
helma.Url. password
Password segment of this URL
helma.Url. domainName
Fully qualified domain name segment of this URL
helma.Url. host
Host name segment of this URL
helma.Url. topLevelDomain
Top level domain name segment of this URL
helma.Url. domain
Domain name segment of this URL
helma.Url. pathString
Request path segment of this URL as string
helma.Url. path
Request path segment of this URL as array
helma.Url. file
File name segment of this URL
helma.Url. queryString
Query parameter segment of this URL as string
helma.Url. query
Query parameter segment of this URL as object
Methods
Tue, 25 Nov 2008 16:50:13 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar